<?php
$arrMsg = array();
if (isset($_POST['payment_amount']) && isset($_POST['payment_currency']) && isset($_POST['button_label'])) {
	global $wpdb;
	$payment_amount  	= trim($_POST['payment_amount']);
	$button_label  		= trim($_POST['button_label']);
	$payment_currency  	= trim($_POST['payment_currency']);
	$method  			= trim($_POST['method']);
	$card_tarrif  		= trim($_POST['card_tarrif']);
	$mobile_tarrif  	= trim($_POST['mobile_tarrif']);
	$payment_amount		= ($payment_amount) ? $payment_amount : 0;
	if ($payment_amount >= 0) {
		$table   =   INTASEND_TABLE_PREFIX . "intasend_payment_codes_v1";
		$data    =   array(
			'payment_amount' 	=> $payment_amount,
			'button_label' 		=> $button_label,
			'payment_currency' 	=> $payment_currency,
			'method' 			=> $method,
			'card_tarrif' 		=> $card_tarrif,
			'mobile_tarrif' 	=> $mobile_tarrif,
			'is_active' 		=> '1'
		);
		$wpdb->insert($table, $data);
		$arrMsg[] = "<span style='font-size:12px;color:green;'>Button Created sucessfully.</span>";
		echo '<script>window.location.href = "../wp-admin/admin.php?page=instasend_shortcode_list";</script>';
	} else {
		$arrMsg[] = "<span style='font-size:12px;color:red;'>Please add payemnt ammount.</span>";
	}
}
?>
<div class="wrap">
	<h2 class="wp-heading-inline">Add Intasend Shortcode</h2>
	<form action="" class="was-validated" method="POST">
		
		<?php if (is_array($arrMsg) && count($arrMsg)) { ?>
			<table class="form-table">
				<tr>
					<td>
						<?php foreach ($arrMsg as $msg) { ?>
							<?php echo $msg; ?><br />
						<?php } ?>
					</td>
				</tr>
			</table>
		<?php } ?>

		<table class="form-table">
			<tbody>
				<tr>
					<th>
						<label for="button_label">Button Label</label>
					</th>
					<td>
						<input type="text" class="regular-text" id="button_label" placeholder="Payment button label" value="Pay Now" name="button_label" required>
					</td>
				</tr>
				<tr>
					<th>
						<label for="payment_amount">Amount</label>
					</th>
					<td>
						<input type="text" class="regular-text" id="payment_amount" placeholder="Enter amount" name="payment_amount">
					</td>
				</tr>
				<tr>
					<th>
						<label for="payment_currency">Currency</label>
					</th>
					<td>
						<select name="payment_currency" class="regular-text">
							<option value="USD">USD</option>
							<option value="KES">KES</option>
							<option value="GBP">GBP</option>
							<option value="EUR">EUR</option>
						</select>
					</td>
				</tr>
				<tr>
					<th>
						<label for="method">Method</label>
					</th>
					<td>

						<select name="method" class="regular-text">
							<option>ALL</option>
							<option value="M-PESA">M-Pesa</option>
							<option value="CARD-PAYMENT">Card Payment</option>
						</select>
					</td>
				</tr>
				<tr>
					<th> <label for="card_tarrif">Card-tarif</label>
					</th>
					<td>

						<select name="card_tarrif" class="regular-text">
							<option value="BUSINESS-PAYS">Business Pays</option>
							<option value="CUSTOMER-PAYS">Customer Pays</option>
						</select>
					</td>
				</tr>
				<tr>
					<th>
						<label for="mobile_tarrif">Mobile-tarif</label>
					</th>
					<td>
						<select name="mobile_tarrif" class="regular-text">
							<option value="BUSINESS-PAYS">Business Pays</option>
							<option value="CUSTOMER-PAYS">Customer Pays</option>
						</select>
					</td>
				</tr>
			</tbody>
		</table>
		<div class="submit">
			<button type="submit" class="button button-primary" name="submit">Create Button</button>
		</div>
	</form>
</div>