<?php
function intasend_payment_shortcode_callback( $atts ){
    global $wpdb;
    ob_start();
    $a = shortcode_atts( array(
        'id' => '',
    ), $atts );
    
    $table              = INTASEND_TABLE_PREFIX . "intasend_payment_codes_v1";
    $button             = $wpdb->get_row( "SELECT * FROM $table where id = ".$a['id'] );
    $payment_amount      = $button->payment_amount;
    $publishable_key    = get_option('publishable_key');
    $wpi_default_amount = get_option('wpi_default_amount');    
    $redirect_url       = get_option('redirect_url');
    $live               = 'false';
    $live_key           = get_option('live_key');
    if ($live_key == 1) {
        $live = 'true';
    }

    if ($payment_amount == '') {
        echo 'Your shortcode wrong';
    } else {
        if ($button->method == 'ALL') {
            $method = '';
        } else {
            $method = "data-method=" . $button->method;
        }
        if($payment_amount == 0){
            echo '
            <div>
                <p>Enter Amount (' . esc_html( $button->payment_currency ) . '): </p>
                <p><input type="number" name="payment_amount" value="' . esc_attr( $wpi_default_amount ) . '" min="1" style="border: 1px solid #ccc; padding: 8px;" /></p>
                <button class="intaSendPayButton" ' . esc_attr( $method ) . ' data-card_tarrif="' . esc_attr( $button->card_tarrif ) . '" data-mobile_tarrif="' . esc_attr( $button->mobile_tarrif ) . '" data-amount="' . esc_attr( $payment_amount ) . '" data-currency="' . esc_attr( $button->payment_currency ) . '" data-api_ref="wordpress-pay">' . esc_html( $button->button_label ) . '</button>
            </div>';
        }
        echo '<button class="intaSendPayButton" ' . $method . ' data-card_tarrif="' . $button->card_tarrif . '" data-mobile_tarrif="' . $button->mobile_tarrif . '" data-amount="' . $payment_amount . '" data-currency="' . $button->payment_currency . '" data-api_ref="wordpress-pay">' . $button->button_label . '</button>';

        ?>
            <style>
                .intaSendPayButton {
                    background: #2cc1ee;
                    border-radius: 3px;
                    border: 1px solid #2cc1ee;
                    color: #fff;
                    height: 34px;
                }
                .intaSendPayButton:hover {
                    cursor: pointer;
                }
			</style>

            <script src="https://unpkg.com/intasend-inlinejs-sdk@3.0.2/build/intasend-inline.js"></script>
            <script src="https://code.jquery.com/jquery-3.7.0.min.js" integrity="sha256-2Pmvv0kuTBOenSvLm6bvfBSSHrUJ+3A7x6P5Ebd07/g=" crossorigin="anonymous"></script>
            <script>
                $ = jQuery;
                $(function(){

                   $(document).ready(function() {
                        var payment_amount = $("input[name=payment_amount]").val();
                        $('button.intaSendPayButton').attr('data-amount', payment_amount);
                   });

                   $("input[name=payment_amount]").change(function() {
                        var payment_amount = $(this).val();
                        $('button.intaSendPayButton').attr('data-amount', payment_amount);
                   });
                   
                   $("input[name=payment_amount]").focusout(function() {
                        var payment_amount = $(this).val();
                        $('button.intaSendPayButton').attr('data-amount', payment_amount);
                   });

                });

                new window.IntaSend({
                    publicAPIKey: '<?php echo $publishable_key; ?>',
                    redirectURL: '<?php echo $redirect_url; ?>',
                    live: <?php echo $live; ?> //set to true when going live
                })
            </script>
        <?php
    }
    return ob_get_clean();
}
add_shortcode('intasend_payment', 'intasend_payment_shortcode_callback');
?>